Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-db/mysql: mysql-5.1.52-r1.ebuild ChangeLog mysql-5.1.53.ebuild
Date: Mon, 29 Nov 2010 00:22:41
Message-Id: 20101129002228.BFDE620051@flycatcher.gentoo.org
1 robbat2 10/11/29 00:22:28
2
3 Modified: ChangeLog
4 Added: mysql-5.1.52-r1.ebuild mysql-5.1.53.ebuild
5 Log:
6 Version bump & revision bump (for .52 release), both include the fix for bug #344031: TEXTREL in libmystrings.so.0.
7
8 (Portage version: 2.2.0_alpha6/cvs/Linux x86_64)
9
10 Revision Changes Path
11 1.563 dev-db/mysql/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.563&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.563&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/ChangeLog?r1=1.562&r2=1.563
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v
20 retrieving revision 1.562
21 retrieving revision 1.563
22 diff -p -w -b -B -u -u -r1.562 -r1.563
23 --- ChangeLog 13 Nov 2010 19:21:44 -0000 1.562
24 +++ ChangeLog 29 Nov 2010 00:22:28 -0000 1.563
25 @@ -1,6 +1,14 @@
26 # ChangeLog for dev-db/mysql
27 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.562 2010/11/13 19:21:44 armin76 Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.563 2010/11/29 00:22:28 robbat2 Exp $
30 +
31 +*mysql-5.1.53 (29 Nov 2010)
32 +*mysql-5.1.52-r1 (29 Nov 2010)
33 +
34 + 29 Nov 2010; Robin H. Johnson <robbat2@g.o> +mysql-5.1.52-r1.ebuild,
35 + +mysql-5.1.53.ebuild:
36 + Version bump & revision bump (for .52 release), both include the fix for bug
37 + #344031: TEXTREL in libmystrings.so.0.
38
39 13 Nov 2010; Raúl Porcel <armin76@g.o> mysql-5.1.51.ebuild:
40 alpha/ia64/s390/sh/sparc stable wrt #339717
41
42
43
44 1.1 dev-db/mysql/mysql-5.1.52-r1.ebuild
45
46 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/mysql-5.1.52-r1.ebuild?rev=1.1&view=markup
47 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/mysql-5.1.52-r1.ebuild?rev=1.1&content-type=text/plain
48
49 Index: mysql-5.1.52-r1.ebuild
50 ===================================================================
51 # Copyright 1999-2010 Gentoo Foundation
52 # Distributed under the terms of the GNU General Public License v2
53 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.1.52-r1.ebuild,v 1.1 2010/11/29 00:22:28 robbat2 Exp $
54
55 MY_EXTRAS_VER="20101128-2122Z"
56 EAPI=2
57
58 # PBXT
59 PBXT_VERSION='1.0.11-6-pre-ga'
60 # XtraDB
61 PERCONA_VER='5.1.45-10' XTRADB_VER='1.0.6-10'
62
63 inherit toolchain-funcs mysql
64 # only to make repoman happy. it is really set in the eclass
65 IUSE="$IUSE"
66
67 # REMEMBER: also update eclass/mysql*.eclass before committing!
68 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x64-macos ~x86-solaris"
69
70 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
71 # This is often broken still
72 EPATCH_EXCLUDE=''
73
74 # Most of these are in the eclass
75 RDEPEND=""
76 DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
77 >=sys-devel/libtool-2.2.10"
78
79 # Please do not add a naive src_unpack to this ebuild
80 # If you want to add a single patch, copy the ebuild to an overlay
81 # and create your own mysql-extras tarball, looking at 000_index.txt
82 src_prepare() {
83 sed -i \
84 -e '/^noinst_PROGRAMS/s/basic-t//g' \
85 "${S}"/unittest/mytap/t/Makefile.am
86 mysql_src_prepare
87 }
88
89 # Official test instructions:
90 # USE='berkdb -cluster embedded extraengine perl ssl community' \
91 # FEATURES='test userpriv -usersandbox' \
92 # ebuild mysql-X.X.XX.ebuild \
93 # digest clean package
94 src_test() {
95 # Bug #213475 - MySQL _will_ object strenously if your machine is named
96 # localhost. Also causes weird failures.
97 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
98
99 emake check || die "make check failed"
100 if ! use "minimal" ; then
101 if [[ $UID -eq 0 ]]; then
102 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
103 fi
104 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
105 cd "${S}"
106 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
107 local retstatus_unit
108 local retstatus_ns
109 local retstatus_ps
110 local t
111 addpredict /this-dir-does-not-exist/t9.MYI
112
113 # Ensure that parallel runs don't die
114 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
115
116 # archive_gis really sucks a lot, but it's only relevant for the
117 # USE=extraengines case
118 case ${PV} in
119 5.0.42)
120 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
121 ;;
122
123 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
124 [ "$(tc-endian)" == "big" ] && \
125 mysql_disable_test \
126 "archive_gis" \
127 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
128 ;;
129 esac
130
131 # This was a slight testcase breakage when the read_only security issue
132 # was fixed.
133 case ${PV} in
134 5.0.54|5.0.51*)
135 mysql_disable_test \
136 "read_only" \
137 "Broken in 5.0.51-54, output in wrong order"
138 ;;
139 esac
140
141 # Ditto to read_only
142 [ "${PV}" == "5.0.51a" ] && \
143 mysql_disable_test \
144 "view" \
145 "Broken in 5.0.51, output in wrong order"
146
147 # x86-specific, OOM issue with some subselects on low memory servers
148 [ "${PV}" == "5.0.54" ] && \
149 [ "${ARCH/x86}" != "${ARCH}" ] && \
150 mysql_disable_test \
151 "subselect" \
152 "Testcase needs tuning on x86 for oom condition"
153
154 # Broke with the YaSSL security issue that didn't affect Gentoo.
155 [ "${PV}" == "5.0.56" ] && \
156 for t in openssl_1 rpl_openssl rpl_ssl ssl \
157 ssl_8k_key ssl_compress ssl_connect ; do \
158 mysql_disable_test \
159 "$t" \
160 "OpenSSL tests broken on 5.0.56"
161 done
162
163 # New test was broken in first time
164 # Upstream bug 41066
165 # http://bugs.mysql.com/bug.php?id=41066
166 [ "${PV}" == "5.0.72" ] && \
167 mysql_disable_test \
168 "status2" \
169 "Broken in 5.0.72, new test is broken, upstream bug #41066"
170
171 # The entire 5.0 series has pre-generated SSL certificates, they have
172 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
173 # The certs really SHOULD be generated for the tests, so that they are
174 # not expiring like this. We cannot do so ourselves as the tests look
175 # closely as the cert path data, and we do not have the CA key to regen
176 # ourselves. Alternatively, upstream should generate them with at least
177 # 50-year validity.
178 #
179 # Known expiry points:
180 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
181 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
182 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
183 #
184 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
185 # expired/invalid.
186 case ${PV} in
187 5.0.*|5.1.*|5.4.*|5.5.*)
188 for t in openssl_1 rpl_openssl rpl.rpl_ssl rpl.rpl_ssl1 ssl ssl_8k_key \
189 ssl_compress ssl_connect rpl.rpl_heartbeat_ssl ; do \
190 mysql_disable_test \
191 "$t" \
192 "These OpenSSL tests break due to expired certificates"
193 done
194 ;;
195 esac
196
197 # These are also failing in MySQL 5.1 for now, and are believed to be
198 # false positives:
199 #
200 # main.mysql_comment, main.mysql_upgrade, main.information_schema,
201 # funcs_1.is_columns_mysql funcs_1.is_tables_mysql funcs_1.is_triggers:
202 # fails due to USE=-latin1 / utf8 default
203 #
204 # main.mysql_client_test:
205 # segfaults at random under Portage only, suspect resource limits.
206 #
207 # main.not_partition:
208 # Failure reason unknown at this time, must resolve before package.mask
209 # removal FIXME
210 case ${PV} in
211 5.1.*|5.4.*|5.5.*)
212 for t in main.mysql_client_test main.mysql_comments \
213 main.mysql_upgrade \
214 main.information_schema \
215 main.not_partition funcs_1.is_columns_mysql \
216 funcs_1.is_tables_mysql funcs_1.is_triggers; do
217 mysql_disable_test "$t" "False positives in Gentoo"
218 done
219 ;;
220 esac
221
222 # New failures in 5.1.50/5.1.51, reported by jmbsvicetto.
223 # These tests are picking up a 'connect-timeout' config from somewhere,
224 # which is not valid, and since it does not have 'loose-' in front of
225 # it, it's causing a failure
226 case ${PV} in
227 5.1.5*|5.4.*|5.5.*|6*)
228 for t in rpl.rpl_mysql_upgrade main.log_tables_upgrade ; do
229 mysql_disable_test "$t" \
230 "False positives in Gentoo: connect-timeout"
231 done
232 ;;
233 esac
234
235 use profiling && use community \
236 || mysql_disable_test main.profiling \
237 "Profiling test needs profiling support"
238
239 if [ "${PN}" == "mariadb" ]; then
240 for t in \
241 parts.part_supported_sql_func_ndb \
242 parts.partition_auto_increment_ndb ; do
243 mysql_disable_test $t "ndb not supported in mariadb"
244 done
245 fi
246
247 # This fail with XtraDB in place of normal InnoDB
248 # TODO: test if they are broken with the rest of the Percona patches
249 if xtradb_patch_available && use xtradb ; then
250 for t in main.innodb innodb.innodb_bug51378 \
251 main.information_schema_db main.mysqlshow \
252 main.innodb-autoinc main.innodb_bug21704 \
253 main.innodb_bug44369 main.innodb_bug46000 \
254 main.index_merge_innodb \
255 innodb.innodb innodb.innodb_misc1 innodb.innodb_bug52663 \
256 innodb.innodb-autoinc innodb.innodb-autoinc-44030 \
257 innodb.innodb_bug21704 innodb.innodb_bug44369 \
258 innodb.innodb_bug46000 innodb.innodb_bug48024 \
259 innodb.innodb_bug49164 innodb.innodb_bug51920 \
260 innodb.innodb_bug54044 \
261 ; do
262 mysql_disable_test $t "tests broken in xtradb"
263 done
264 fi
265
266 # bug 332565
267 if ! use extraengine ; then
268 for t in main.range ; do
269 mysql_disable_test $t "Test $t requires USE=extraengine"
270 done
271 fi
272
273 # create directories because mysqladmin might make out of order
274 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
275
276 # We run the test protocols seperately
277 #emake test-unit
278 retstatus_unit=$?
279 retstatus_unit=0
280 [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
281
282 emake test-ns force="--force --vardir=${S}/mysql-test/var-ns"
283 retstatus_ns=$?
284 [[ $retstatus_ns -eq 0 ]] || eerror "test-ns failed"
285 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
286
287 emake test-ps force="--force --vardir=${S}/mysql-test/var-ps"
288 retstatus_ps=$?
289 [[ $retstatus_ps -eq 0 ]] || eerror "test-ps failed"
290 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
291
292 # TODO:
293 # When upstream enables the pr and nr testsuites, we need those as well.
294
295 # Cleanup is important for these testcases.
296 pkill -9 -f "${S}/ndb" 2>/dev/null
297 pkill -9 -f "${S}/sql" 2>/dev/null
298 failures=""
299 [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
300 [[ $retstatus_ns -eq 0 ]] || failures="${failures} test-ns"
301 [[ $retstatus_ps -eq 0 ]] || failures="${failures} test-ps"
302 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
303 [[ -z "$failures" ]] || die "Test failures: $failures"
304 einfo "Tests successfully completed"
305 else
306 einfo "Skipping server tests due to minimal build."
307 fi
308 }
309
310
311
312 1.1 dev-db/mysql/mysql-5.1.53.ebuild
313
314 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/mysql-5.1.53.ebuild?rev=1.1&view=markup
315 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/mysql-5.1.53.ebuild?rev=1.1&content-type=text/plain
316
317 Index: mysql-5.1.53.ebuild
318 ===================================================================
319 # Copyright 1999-2010 Gentoo Foundation
320 # Distributed under the terms of the GNU General Public License v2
321 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.1.53.ebuild,v 1.1 2010/11/29 00:22:28 robbat2 Exp $
322
323 MY_EXTRAS_VER="20101128-2122Z"
324 EAPI=2
325
326 # PBXT
327 PBXT_VERSION='1.0.11-6-pre-ga'
328 # XtraDB
329 PERCONA_VER='5.1.45-10' XTRADB_VER='1.0.6-10'
330
331 inherit toolchain-funcs mysql
332 # only to make repoman happy. it is really set in the eclass
333 IUSE="$IUSE"
334
335 # REMEMBER: also update eclass/mysql*.eclass before committing!
336 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x64-macos ~x86-solaris"
337
338 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
339 # This is often broken still
340 EPATCH_EXCLUDE=''
341
342 # Most of these are in the eclass
343 RDEPEND=""
344 DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
345 >=sys-devel/libtool-2.2.10"
346
347 # Please do not add a naive src_unpack to this ebuild
348 # If you want to add a single patch, copy the ebuild to an overlay
349 # and create your own mysql-extras tarball, looking at 000_index.txt
350 src_prepare() {
351 sed -i \
352 -e '/^noinst_PROGRAMS/s/basic-t//g' \
353 "${S}"/unittest/mytap/t/Makefile.am
354 mysql_src_prepare
355 }
356
357 # Official test instructions:
358 # USE='berkdb -cluster embedded extraengine perl ssl community' \
359 # FEATURES='test userpriv -usersandbox' \
360 # ebuild mysql-X.X.XX.ebuild \
361 # digest clean package
362 src_test() {
363 # Bug #213475 - MySQL _will_ object strenously if your machine is named
364 # localhost. Also causes weird failures.
365 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
366
367 emake check || die "make check failed"
368 if ! use "minimal" ; then
369 if [[ $UID -eq 0 ]]; then
370 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
371 fi
372 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
373 cd "${S}"
374 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
375 local retstatus_unit
376 local retstatus_ns
377 local retstatus_ps
378 local t
379 addpredict /this-dir-does-not-exist/t9.MYI
380
381 # Ensure that parallel runs don't die
382 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
383
384 # archive_gis really sucks a lot, but it's only relevant for the
385 # USE=extraengines case
386 case ${PV} in
387 5.0.42)
388 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
389 ;;
390
391 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
392 [ "$(tc-endian)" == "big" ] && \
393 mysql_disable_test \
394 "archive_gis" \
395 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
396 ;;
397 esac
398
399 # This was a slight testcase breakage when the read_only security issue
400 # was fixed.
401 case ${PV} in
402 5.0.54|5.0.51*)
403 mysql_disable_test \
404 "read_only" \
405 "Broken in 5.0.51-54, output in wrong order"
406 ;;
407 esac
408
409 # Ditto to read_only
410 [ "${PV}" == "5.0.51a" ] && \
411 mysql_disable_test \
412 "view" \
413 "Broken in 5.0.51, output in wrong order"
414
415 # x86-specific, OOM issue with some subselects on low memory servers
416 [ "${PV}" == "5.0.54" ] && \
417 [ "${ARCH/x86}" != "${ARCH}" ] && \
418 mysql_disable_test \
419 "subselect" \
420 "Testcase needs tuning on x86 for oom condition"
421
422 # Broke with the YaSSL security issue that didn't affect Gentoo.
423 [ "${PV}" == "5.0.56" ] && \
424 for t in openssl_1 rpl_openssl rpl_ssl ssl \
425 ssl_8k_key ssl_compress ssl_connect ; do \
426 mysql_disable_test \
427 "$t" \
428 "OpenSSL tests broken on 5.0.56"
429 done
430
431 # New test was broken in first time
432 # Upstream bug 41066
433 # http://bugs.mysql.com/bug.php?id=41066
434 [ "${PV}" == "5.0.72" ] && \
435 mysql_disable_test \
436 "status2" \
437 "Broken in 5.0.72, new test is broken, upstream bug #41066"
438
439 # The entire 5.0 series has pre-generated SSL certificates, they have
440 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
441 # The certs really SHOULD be generated for the tests, so that they are
442 # not expiring like this. We cannot do so ourselves as the tests look
443 # closely as the cert path data, and we do not have the CA key to regen
444 # ourselves. Alternatively, upstream should generate them with at least
445 # 50-year validity.
446 #
447 # Known expiry points:
448 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
449 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
450 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
451 #
452 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
453 # expired/invalid.
454 case ${PV} in
455 5.0.*|5.1.*|5.4.*|5.5.*)
456 for t in openssl_1 rpl_openssl rpl.rpl_ssl rpl.rpl_ssl1 ssl ssl_8k_key \
457 ssl_compress ssl_connect rpl.rpl_heartbeat_ssl ; do \
458 mysql_disable_test \
459 "$t" \
460 "These OpenSSL tests break due to expired certificates"
461 done
462 ;;
463 esac
464
465 # These are also failing in MySQL 5.1 for now, and are believed to be
466 # false positives:
467 #
468 # main.mysql_comment, main.mysql_upgrade, main.information_schema,
469 # funcs_1.is_columns_mysql funcs_1.is_tables_mysql funcs_1.is_triggers:
470 # fails due to USE=-latin1 / utf8 default
471 #
472 # main.mysql_client_test:
473 # segfaults at random under Portage only, suspect resource limits.
474 #
475 # main.not_partition:
476 # Failure reason unknown at this time, must resolve before package.mask
477 # removal FIXME
478 case ${PV} in
479 5.1.*|5.4.*|5.5.*)
480 for t in main.mysql_client_test main.mysql_comments \
481 main.mysql_upgrade \
482 main.information_schema \
483 main.not_partition funcs_1.is_columns_mysql \
484 funcs_1.is_tables_mysql funcs_1.is_triggers; do
485 mysql_disable_test "$t" "False positives in Gentoo"
486 done
487 ;;
488 esac
489
490 # New failures in 5.1.50/5.1.51, reported by jmbsvicetto.
491 # These tests are picking up a 'connect-timeout' config from somewhere,
492 # which is not valid, and since it does not have 'loose-' in front of
493 # it, it's causing a failure
494 case ${PV} in
495 5.1.5*|5.4.*|5.5.*|6*)
496 for t in rpl.rpl_mysql_upgrade main.log_tables_upgrade ; do
497 mysql_disable_test "$t" \
498 "False positives in Gentoo: connect-timeout"
499 done
500 ;;
501 esac
502
503 use profiling && use community \
504 || mysql_disable_test main.profiling \
505 "Profiling test needs profiling support"
506
507 if [ "${PN}" == "mariadb" ]; then
508 for t in \
509 parts.part_supported_sql_func_ndb \
510 parts.partition_auto_increment_ndb ; do
511 mysql_disable_test $t "ndb not supported in mariadb"
512 done
513 fi
514
515 # This fail with XtraDB in place of normal InnoDB
516 # TODO: test if they are broken with the rest of the Percona patches
517 if xtradb_patch_available && use xtradb ; then
518 for t in main.innodb innodb.innodb_bug51378 \
519 main.information_schema_db main.mysqlshow \
520 main.innodb-autoinc main.innodb_bug21704 \
521 main.innodb_bug44369 main.innodb_bug46000 \
522 main.index_merge_innodb \
523 innodb.innodb innodb.innodb_misc1 innodb.innodb_bug52663 \
524 innodb.innodb-autoinc innodb.innodb-autoinc-44030 \
525 innodb.innodb_bug21704 innodb.innodb_bug44369 \
526 innodb.innodb_bug46000 innodb.innodb_bug48024 \
527 innodb.innodb_bug49164 innodb.innodb_bug51920 \
528 innodb.innodb_bug54044 \
529 ; do
530 mysql_disable_test $t "tests broken in xtradb"
531 done
532 fi
533
534 # bug 332565
535 if ! use extraengine ; then
536 for t in main.range ; do
537 mysql_disable_test $t "Test $t requires USE=extraengine"
538 done
539 fi
540
541 # create directories because mysqladmin might make out of order
542 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
543
544 # We run the test protocols seperately
545 #emake test-unit
546 retstatus_unit=$?
547 retstatus_unit=0
548 [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
549
550 emake test-ns force="--force --vardir=${S}/mysql-test/var-ns"
551 retstatus_ns=$?
552 [[ $retstatus_ns -eq 0 ]] || eerror "test-ns failed"
553 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
554
555 emake test-ps force="--force --vardir=${S}/mysql-test/var-ps"
556 retstatus_ps=$?
557 [[ $retstatus_ps -eq 0 ]] || eerror "test-ps failed"
558 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
559
560 # TODO:
561 # When upstream enables the pr and nr testsuites, we need those as well.
562
563 # Cleanup is important for these testcases.
564 pkill -9 -f "${S}/ndb" 2>/dev/null
565 pkill -9 -f "${S}/sql" 2>/dev/null
566 failures=""
567 [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
568 [[ $retstatus_ns -eq 0 ]] || failures="${failures} test-ns"
569 [[ $retstatus_ps -eq 0 ]] || failures="${failures} test-ps"
570 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
571 [[ -z "$failures" ]] || die "Test failures: $failures"
572 einfo "Tests successfully completed"
573 else
574 einfo "Skipping server tests due to minimal build."
575 fi
576 }